Bug 228895 - security/libssh: Fails to build with OpenSSL 1.1
Summary: security/libssh: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks: 228865 231931
  Show dependency treegraph
 
Reported: 2018-06-11 19:19 UTC by Bernard Spil
Modified: 2018-12-09 06:30 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (johans)


Attachments
Update to fix openssl devel (3.46 KB, patch)
2018-10-05 00:09 UTC, Nathan
ndowens: maintainer-approval? (johans)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-11 19:19:24 UTC
During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/libssh-0.7.5.log
Comment 2 Nathan 2018-10-05 00:09:07 UTC
Created attachment 197802 [details]
Update to fix openssl devel

 security/libssh:
 
 * Update to 0.8.3, fixes OPENSSL-devel build
 * Re-order variables, per handbook
 
 Changes:        https://www.libssh.org/2018/09/21/libssh-0-8-3/
 
 PR:             228895
 Submitted by:   Nathan <ndowens@yahoo.com
Comment 3 Bernard Spil freebsd_committer 2018-10-05 08:57:22 UTC
Builds OK with LibreSSL 2.7
Comment 4 Tobias Kortkamp freebsd_committer 2018-11-05 22:53:12 UTC
libssh 0.8.4 was committed in ports r482279.  Can this be closed?
Comment 5 Nathan 2018-11-05 22:55:09 UTC
(In reply to Tobias Kortkamp from comment #4)
Looking at that revision, it still has BROKEN_SSL= openssl-devel in it
Comment 6 commit-hook freebsd_committer 2018-12-09 06:08:54 UTC
A commit references this bug:

Author: tobik
Date: Sun Dec  9 06:08:11 UTC 2018
New revision: 487022
URL: https://svnweb.freebsd.org/changeset/ports/487022

Log:
  security/libssh builds fine with OpenSSL 1.1.1 after r482279

  http://beefy12.nyi.freebsd.org/data/head-amd64-default/p485718_s340864/logs/libssh-0.8.4.log

  PR:		228895

Changes:
  head/security/libssh/Makefile